package com.huimv;

import cn.hutool.log.Log;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;


/**
 * <p>
 * Springboot方式项目启动类
 * </p>
 * 2021.1.18   现在用的就是这个数据
 * @author yinhao
 * @date 2021/8/9 16:26
 */


//2022.2.9 解决温度阈值问题  解决数据数量不够的问题
    //1.上传的温度与实际温度偏差过大的问题
    //2.选定的耳标上传数量不够的问题，掉帧
    //3.给客户配置的时候 记得才参数
@SpringBootApplication
@EnableScheduling
public class CloudPlatformApplication {
    private static final Log log = Log.get();
    public static void main(String[] args) {
        SpringApplication.run(CloudPlatformApplication.class, args);
        log.info(">>> " + CloudPlatformApplication.class.getSimpleName() + " is success!");
    }

    //首先给客户配置好上传的IP
    public  static  final   String    IP_VALUE= "192.168.1.1" ;

   //客户数据上传的端口
    public  static  final Integer  Port= 8001 ;








}
