package com.huimv.modular.eartagregister.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.management.StandardEmitterMBean;
import java.util.Date;

@Data
public class EartagRegisterVO {


    /**
     * 默认主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 组织id
     */
    @Excel(name = "组织id")
    private Long orgId;

    /**
     *
     */
    @Excel(name = "")
    private String eartagNo;

    
    
    @Excel(name = "")
    private String eartagWarm;


    

    @Excel(name = "")
    private String tempError;
    
    
    
    
    @Excel(name = "")
    private String eartagError;

    /**
     *
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date registerDate;

    /**
     *
     */
    @Excel(name = "")
    private Integer age;

    /**
     *
     */
    @Excel(name = "")
    private String count;

    //最大上传次数
    @Excel(name = "")
    private Integer maxCountTimes;
    
    
    
   //最小上传次数
    @Excel(name = "")
    private Integer minCountTimes;
    

    /**
     *
     */
    @Excel(name = "")
    private String deviceCode;

    /**
     *
     */
    @Excel(name = "")
    private String farmCode;

    /**
     *
     */
    @Excel(name = "")
    private Integer stage;

    /**
     *
     */
    @Excel(name = "")
    private String pigpen;


    /**
     *位置
     */
    @Excel(name = "")
    private String location;




    @Excel(name = "")
    private Integer weartagAge;



    //为了统计上传次数增加的字段
    @Excel(name = "")
    private Integer countTimes;


    //为了统计上传次数增加的字段
    @Excel(name = "")
    private double earTemp;



    //为了统计上传次数增加的字段
    @Excel(name = "")
    private Integer ear_temp_status;

    //为了统计上传次数增加的字段
    @Excel(name = "")
    private Integer pageNo;

    //为了统计上传次数增加的字段
    @Excel(name = "")
    private Integer pageSize;
}
